eID middleware |

# be.portugal.eid.PTEID_CrlStatus Class Reference

Class that holds the possible CRL statuses. More...

List of all members.

## Public Member Functions
final int | swigValue ()
String | toString ()
## Static Public Member Functions
static PTEID_CrlStatus | swigToEnum (int swigValue)
## Static Public Attributes
static final PTEID_CrlStatus | PTEID_CRL_STATUS_UNKNOWN = new PTEID_CrlStatus("PTEID_CRL_STATUS_UNKNOWN")
| Validity unknown.
static final PTEID_CrlStatus | PTEID_CRL_STATUS_VALID = new PTEID_CrlStatus("PTEID_CRL_STATUS_VALID")
| Valid Crl.
static final PTEID_CrlStatus | PTEID_CRL_STATUS_CONNECT = new PTEID_CrlStatus("PTEID_CRL_STATUS_CONNECT")
| Connection problem.
static final PTEID_CrlStatus | PTEID_CRL_STATUS_ERROR = new PTEID_CrlStatus("PTEID_CRL_STATUS_ERROR")
| Error during validation.

## Detailed Description

Class that holds the possible CRL statuses.

## Member Function Documentation

static PTEID_CrlStatus be.portugal.eid.PTEID_CrlStatus.swigToEnum | ( | int | swigValue | ) | `[static]`

Referenced by be.portugal.eid.PTEID_Crl.getData().

final int be.portugal.eid.PTEID_CrlStatus.swigValue | ( |  | ) |

String be.portugal.eid.PTEID_CrlStatus.toString | ( |  | ) |

## Member Data Documentation

final PTEID_CrlStatus be.portugal.eid.PTEID_CrlStatus.PTEID_CRL_STATUS_CONNECT = new PTEID_CrlStatus("PTEID_CRL_STATUS_CONNECT")`[static]`

Connection problem.

final PTEID_CrlStatus be.portugal.eid.PTEID_CrlStatus.PTEID_CRL_STATUS_ERROR = new PTEID_CrlStatus("PTEID_CRL_STATUS_ERROR")`[static]`

Error during validation.

final PTEID_CrlStatus be.portugal.eid.PTEID_CrlStatus.PTEID_CRL_STATUS_UNKNOWN = new PTEID_CrlStatus("PTEID_CRL_STATUS_UNKNOWN")`[static]`

Validity unknown.

final PTEID_CrlStatus be.portugal.eid.PTEID_CrlStatus.PTEID_CRL_STATUS_VALID = new PTEID_CrlStatus("PTEID_CRL_STATUS_VALID")`[static]`

Valid Crl.